aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscript/dev-cluster.sh3
-rwxr-xr-xscript/dev-env.sh2
2 files changed, 4 insertions, 1 deletions
diff --git a/script/dev-cluster.sh b/script/dev-cluster.sh
index 756af234..cfe9be0d 100755
--- a/script/dev-cluster.sh
+++ b/script/dev-cluster.sh
@@ -13,6 +13,9 @@ export RUST_BACKTRACE=1
export RUST_LOG=garage=info
MAIN_LABEL="\e[${FANCYCOLORS[0]}[main]\e[49m"
+WHICH_GARAGE=$(which garage || exit 1)
+echo -en "${MAIN_LABEL} Found garage at: ${WHICH_GARAGE}\n"
+
for count in $(seq 1 3); do
CONF_PATH="/tmp/config.$count.toml"
LABEL="\e[${FANCYCOLORS[$count]}[$count]\e[49m"
diff --git a/script/dev-env.sh b/script/dev-env.sh
index 15cb965a..7e8ffc50 100755
--- a/script/dev-env.sh
+++ b/script/dev-env.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-SCRIPT_FOLDER="`dirname \"$0\"`"
+SCRIPT_FOLDER="`dirname \"${BASH_SOURCE[0]}\"`"
REPO_FOLDER="${SCRIPT_FOLDER}/../"
GARAGE_DEBUG="${REPO_FOLDER}/target/debug/"
GARAGE_RELEASE="${REPO_FOLDER}/target/release/"